package cn.com.qmth.stmms.biz.mark.service;

import java.util.List;

import cn.com.qmth.stmms.biz.mark.model.MarkTrack;

public interface MarkTrackService {

    MarkTrack save(MarkTrack track);

    List<MarkTrack> findByStudentId(Integer studentId);

    void deleteByStudentId(Integer studentId);

    void deleteByStudentIdAndQuestionNumber(Integer studentId, String questionNumber);

    void deleteByExamId(Integer examId);

    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);

    void deleteByMarkerId(Integer markerId);

}
